syntax = "proto3";

package v2ray.core.proxy.socks.simplified;
option csharp_namespace = "V2Ray.Core.Proxy.Socks.Simplified";
option go_package = "github.com/v2fly/v2ray-core/v5/proxy/socks/simplified";
option java_package = "com.v2ray.core.proxy.socks.simplified";
option java_multiple_files = true;

import "common/protoext/extensions.proto";
import "common/net/address.proto";
import "common/net/packetaddr/config.proto";

message ServerConfig{
  option (v2ray.core.common.protoext.message_opt).type = "inbound";
  option (v2ray.core.common.protoext.message_opt).short_name = "socks";

  v2ray.core.common.net.IPOrDomain address = 3;
  bool udp_enabled = 4;
  v2ray.core.net.packetaddr.PacketAddrType packet_encoding = 7;
}

message ClientConfig {
  option (v2ray.core.common.protoext.message_opt).type = "outbound";
  option (v2ray.core.common.protoext.message_opt).short_name = "socks";

  v2ray.core.common.net.IPOrDomain address = 1;
  uint32 port = 2;
}